.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
  background-color: var(--color-primary-white);
  color: var(--color-primary-black, black);
  padding: 20px;
  border-radius: var(--bui_sheet_container_inner_border-radius-start-start, 0)
    var(--bui_sheet_container_inner_border-radius-start-end, 0)
    var(--bui_sheet_container_inner_border-radius-end-end, 0)
    var(--bui_sheet_container_inner_border-radius-end-start, 0);
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9998; /* Set z-index lower than popup */
  width: 100%;
  height: 100%;
  background-color: rgba(26, 26, 26, 0.5);
}

.popup-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  font-size: 18px;
  font-weight: bold;
}

.popup-close-button {
  width: 24px;
  height: 24px;
  padding: 0;
  margin: 0;
  border: none;
  background: none;
  color: var(--color-primary-black, black);
  font-size: 20px;
  line-height: 1;
  cursor: pointer;
}

.popup-close-button:hover {
  background-color: rgba(165, 165, 165, 0.5);
  border-radius: 8px;
}

.popup::after {
  content: '';
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 99;
  display: none;
}

.popup.active {
  display: block;
}

.popup.active::after {
  display: block;
}
